httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cr...@animalhead.com
Subject Re: [users@httpd] Problem building Apache 2.2.4 (may involve mod_ssl)
Date Mon, 15 Jan 2007 07:12:33 GMT
Hacking around this weekend in search of a way to build Apache 2.2.4,
I downloaded the latest version of openSSL and built it into  
directory /tmp/098,
then included that dir and MPM=prefork in the "production" configure  
command:

./configure --prefix=/usr/local/apache2.2.4 --with-mpm=prefork \
--enable-ssl --with-ssl=/tmp/098 \
--enable-modules="mod_auth mod_include mod_filter mod_log_config  
mod_env \
mod_setenvif mod_mime mod_status mod_autoindex mod_asis mod_suexec  
mod_cgid \
mod_negotiation mod_dir mod_actions mod_userdir mod_alias" \
--enable-mods-shared="mod_auth_anon mod_auth_dbm mod_auth_digest  
mod_cache \
mod_cern_meta mod_charset_lite mod_dav mod_dav_fs mod_deflate  
mod_disk_cache \
mod_expires mod_ext_filter mod_file_cache mod_frontpage mod_headers  
mod_info \
mod_logio mod_mem_cache mod_mime_magic mod_proxy mod_proxy_ajp  
mod_proxy_balancer \
mod_proxy_connect mod_proxy_ftp mod_proxy_http mod_rewrite mod_speling \
mod_unique_id mod_usertrack mod_version mod_vhost_alias" \
| tee configure.output

During configure, the same errors "gnome-config: not found" occurred.

Make ended in the same error:

  Making all in support
/usr/local/apache2/build/libtool --silent --mode=compile gcc         - 
I/tmp/httpd-2.2.4/srclib/pcre -I. -I/tmp/httpd-2.2.4/os/unix -I/tmp/ 
httpd-2.2.4/server/mpm/prefork -I/tmp/httpd-2.2.4/modules/http -I/tmp/ 
httpd-2.2.4/modules/filters -I/tmp/httpd-2.2.4/modules/proxy -I/tmp/ 
httpd-2.2.4/include -I/tmp/httpd-2.2.4/modules/generators -I/tmp/ 
httpd-2.2.4/modules/mappers -I/tmp/httpd-2.2.4/modules/database -I/ 
usr/local/apache2/include -I/usr/local/include -I/tmp/httpd-2.2.4/ 
modules/proxy/../generators -I/tmp/098/include -I/tmp/httpd-2.2.4/ 
modules/ssl -I/tmp/httpd-2.2.4/modules/dav/main -prefer-non-pic - 
static -c htpasswd.c && touch htpasswd.lo
/usr/local/apache2/build/libtool --silent --mode=link gcc      -L/usr/ 
local/lib -L/tmp/098/lib   -o htpasswd  htpasswd.lo   -lm /tmp/ 
httpd-2.2.4/srclib/pcre/libpcre.la /usr/local/apache2/lib/ 
libaprutil-1.la -ldb41 -lexpat /usr/local/apache2/lib/libapr-1.la - 
lcrypt -lpthread
/usr/bin/ld: cannot find -lvcert
*** Error code 1

Stop in /tmp/httpd-2.2.4/support.

Guess htpasswd has to know about encryption.  Does it know too
much or too little?

Please can someone help?  Or should I report this as a bug?

Craig MacKenna


On Jan 12, 2007, at 3:34 PM, craig@animalhead.com wrote:

> I have a problem with building Apache2, which may involve openSSL.   
> My server has OpenSSL/0.9.7e-p1, and I'm trying to upgrade Apache2  
> from 2.2.3 to 2.2.4.
>
> My Apache2 configuration command can be as simple as
>
> ./configure --prefix=/usr/local/apache2.2.4 --with-mpm=worker -- 
> enable-ssl --with-ssl=/usr --enable-mods-shared=all
>
> (My openssl executable is /usr/bin/openssl.)
>
> As the configuration script is running, it deals with mod_ssl and  
> openSSL as indicated by the following output lines:
>
> checking whether to enable mod_ssl... checking dependencies
> checking for SSL/TLS toolkit base... /usr
> checking for OpenSSL version... checking openssl/opensslv.h  
> usability... yes
> checking openssl/opensslv.h presence... yes
> checking for openssl/opensslv.h... yes
> checking openssl/ssl.h usability... yes
> checking openssl/ssl.h presence... yes
> checking for openssl/ssl.h... yes
> OK
> checking openssl/engine.h usability... yes
> checking openssl/engine.h presence... yes
> checking for openssl/engine.h... yes
> gnome-config: not found
> checking for SSLeay_version in -lcrypto... yes
> checking for SSL_CTX_new in -lssl... yes
> checking for ENGINE_init... yes
> checking for ENGINE_load_builtin_engines... yes
> checking for SSL_set_cert_store... no
>   adding "-I/usr/include" to INCLUDES
>   adding "-L/usr/lib" to LDFLAGS
>   forcing SSL_LIBS to "-lssl -lcrypto"
> gnome-config: not found
>   forcing MOD_SSL_LDADD to "$(SSL_LIBS)"
> checking whether Distcache is required... no (default)
>   adding "-export-symbols-regex" to MOD_SSL_LDADD
>   adding "ssl_module" to MOD_SSL_LDADD
> checking whether to enable mod_ssl... shared (all)
>   adding "-I$(top_srcdir)/modules/ssl" to INCLUDES
>
> Note the two lines about not being able to find "gnome-config".
>
> The configure script gives a normal ending.  When I make, the  
> following error occurs:
>
> Making all in support
> /usr/local/apache2/build/libtool --silent --mode=link gcc      -L/ 
> usr/local/lib -L/usr/lib   -o htpasswd  htpasswd.lo   -lm /tmp/ 
> httpd-2.2.4/srclib/pcre/libpcre.la /usr/local/apache2/lib/ 
> libaprutil-1.la -ldb41 -lexpat /usr/local/apache2/lib/libapr-1.la - 
> lcrypt -lpthread
> /usr/bin/ld: cannot find -lvcert
> *** Error code 1
>
> The name "lvcert" sounds like it has to do with SSL, which is why I  
> included the output about mod_ssl above.
>
> Should I try a newer version of openSSL, or what?  Can I provide  
> any other information to help solve this?
>
> Thanks to anyone reading this,
> Craig MacKenna
> Los Gatos, CA
>
>
> ---------------------------------------------------------------------
> The official User-To-User support forum of the Apache HTTP Server  
> Project.
> See <URL:http://httpd.apache.org/userslist.html> for more info.
> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
>   "   from the digest: users-digest-unsubscribe@httpd.apache.org
> For additional commands, e-mail: users-help@httpd.apache.org


---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message